Bug 21029

Summary: "Suspend until" in modal in staff patron account is not translatable
Product: Koha Reporter: Katrin Fischer <katrin.fischer>
Component: I18N/L10NAssignee: Jonathan Druart <jonathan.druart+koha>
Status: CLOSED FIXED QA Contact: Marcel de Rooy <m.de.rooy>
Severity: normal    
Priority: P5 - low CC: frederic, fridolin.somers, jonathan.druart+koha, m.de.rooy, martin.renvoize, nick
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Bug Depends on: 16242    
Bug Blocks:    
Attachments: Bug 21029: Make "Suspend until:" translatable
Bug 21029: Make "Suspend until:" translatable
Bug 21029: Make "Suspend until:" translatable

Description Katrin Fischer 2018-07-02 16:47:58 UTC
To test:
- Place a hold on an item
- Go to the patron account
- Click on the Suspend button on the holds tab
- View the modal, the label before the date field "Suspend until:" is not translatable.

The label is part of the holds.js file. As .js files are never translatable it needs to be moved to template level.
Comment 1 Jonathan Druart 2018-07-04 17:56:21 UTC
Created attachment 76697 [details] [review]
Bug 21029: Make "Suspend until:" translatable

The label was part of the holds.js file. As .js files are never
translatable it needs to be moved to template level.

Test plan:
- Place a hold on an item
- Go to the patron account
- Click on the Suspend button on the holds tab
- View the modal, the label before the date field "Suspend until:" is
now translatable.
Comment 2 Katrin Fischer 2018-07-04 20:29:30 UTC
Created attachment 76700 [details] [review]
Bug 21029: Make "Suspend until:" translatable

The label was part of the holds.js file. As .js files are never
translatable it needs to be moved to template level.

Test plan:
- Place a hold on an item
- Go to the patron account
- Click on the Suspend button on the holds tab
- View the modal, the label before the date field "Suspend until:" is
now translatable.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Marcel de Rooy 2018-07-06 07:53:54 UTC
Created attachment 76717 [details] [review]
Bug 21029: Make "Suspend until:" translatable

The label was part of the holds.js file. As .js files are never
translatable it needs to be moved to template level.

Test plan:
- Place a hold on an item
- Go to the patron account
- Click on the Suspend button on the holds tab
- View the modal, the label before the date field "Suspend until:" is
now translatable.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Nick Clemens 2018-07-06 14:42:09 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-07-10 06:36:58 UTC
Pushed to 18.05.x for 18.05.02
Comment 6 Fridolin Somers 2018-07-12 06:39:48 UTC
Pushed to 17.11.x for 17.11.08